<!-- nav bar -->
{include file="%s/templates/_nav.tpl"|args:$plugin_root current_nav="personne"}

<h2>Versements par personne</h2>

<fieldset class="noprint">
    {* <div class="noprint"> *}
        <input type="checkbox" class="check_global" id="check_global"
            onclick="cocherDecocherToutesLesPersonnes(check_global)" />
        <label for="check_global">Cliquer pour cocher toutes les lignes</label>
        <button type="button" data-icon="↑" class="icn-btn" id="close_details_personne">Replier toutes les personnes</button>
        <button type="button" data-icon="↓" class="icn-btn" id="open_details_personne">Déplier toutes les personnes</button>
    {* </div> *}
</fieldset>

<form method="post" id="versements_personnes" action="generer_personnes.php">

    {* Itération sur les personnes *}
    {foreach from=$lesVersements key="i" item="versement"}
        {if $i == 0}
            {* 1ère personne *}
            <?php
                $personneCourante = $versement->idUser;
            ?>
            {afficher_debut_personne versement=$versement}
            {afficher_versement versement=$versement rang=$i}
        {elseif $versement.idUser != $personneCourante}
            {* changement de personne *}
            </fieldset>
            </details>
            <?php
                $personneCourante = $versement->idUser;
            ?>
            {afficher_debut_personne versement=$versement}
            {afficher_versement versement=$versement rang=$i}
        {else}
            {* même personne *}
            {afficher_versement versement=$versement rang=$i}
        {/if}
    {/foreach} {* Itération sur les personnes *}
    </fieldset>
    </details>

    <input type="submit" value="Générer les reçus" onclick="return verifierChoix(this.form)">
</form>

{* scripts pour cases à cocher *}
<script src="script.js"></script>

{literal}
    <script type="text/javascript">
        // ouvrir/fermer les détails
        document.querySelector('#open_details_personne').onclick = () => {
            document.querySelectorAll('details.personne').forEach((e) => {
                e.setAttribute('open', 'open');
            });
        };
        document.querySelector('#close_details_personne').onclick = () => {
            document.querySelectorAll('details.personne').forEach((e) => {
                e.removeAttribute('open');
            });
        };
    </script>
{/literal}

<!-- footer -->
{include file="admin/_foot.tpl"}