<!-- nav bar -->
{include file="%s/templates/_nav.tpl"|args:$plugin_root current_nav="versements"}

<h2>Versements par activité et tarif</h2>

<fieldset class="noprint">
    {* <div class="noprint"> *}
        <input type="checkbox" class="check_global" id="check_global" onclick="cocherDecocherTout(check_global)" />
        <label for="check_global">Cliquer pour cocher toutes les lignes</label>
        <button type="button" data-icon="↑" class="icn-btn" id="close_details_activite">Replier toutes les activités</button>
            <button type="button" data-icon="↓" class="icn-btn" id="open_details_activite">Déplier toutes les activités</button>
        <button type="button" data-icon="↑" class="icn-btn" id="close_details_personne">Replier toutes les personnes</button>
        <button type="button" data-icon="↓" class="icn-btn" id="open_details_personne">Déplier toutes les personnes</button>
    {* </div> *}
</fieldset>

<form method="post" id="versements_activites" action="generer_activites.php">

    {* Itération sur les versements *}
    {foreach from=$lesVersements key="i" item="versement"}
        {if $i == 0}
            {* premier versement *}
            <?php
            $tarifCourant = $versement->idTarif;
            $personneCourante = $versement->idUser;
            ?>
            {afficher_debut_tarif versement=$versement}
            {afficher_debut_personne versement=$versement}
            {afficher_versement versement=$versement rang=$i}
        {else}
            {* autre versement *}
            {if $versement.idTarif != $tarifCourant}
                {* changement de tarif *}
                </fieldset> {* fin versements d'une personne *}
                </details>  {* fin versements d'une personne *}
                </details>  {* fin tarif *}
                <?php
                $tarifCourant = $versement->idTarif;
                $personneCourante = $versement->idUser;
                ?>
                {afficher_debut_tarif versement=$versement}
                {afficher_debut_personne versement=$versement}
                {afficher_versement versement=$versement rang=$i}
            {elseif $versement.idUser != $personneCourante}
                {* changement de personne *}
                </fieldset>
                </details>
                <?php
                $personneCourante = $versement->idUser;
                ?>
                {afficher_debut_personne versement=$versement}
                {afficher_versement versement=$versement rang=$i}
            {else}
                {* même personne *}
                {afficher_versement versement=$versement rang=$i}
            {/if}
        {/if}
    {/foreach} {* Itération sur les versements *}
    </fieldset> {* fin versements d'une personne *}
    </details>  {* fin versements d'une personne *}
    </details>  {* fin tarif *}

    <input type="submit" value="Générer les reçus" onclick="return verifierChoix(this.form)">
</form>

{* scripts pour cases à cocher *}
<script src="script.js"></script>

{literal}
    <script type="text/javascript">
        // ouvrir/fermer les détails des activités
        document.querySelector('#open_details_activite').onclick = () => {
            document.querySelectorAll('details.activite').forEach((e) => {
                e.setAttribute('open', 'open');
            });
        };
        document.querySelector('#close_details_activite').onclick = () => {
            document.querySelectorAll('details.activite').forEach((e) => {
                e.removeAttribute('open');
            });
        };
        // ouvrir/fermer les détails des personnes
        document.querySelector('#open_details_personne').onclick = () => {
            document.querySelectorAll('details.personne').forEach((e) => {
                e.setAttribute('open', 'open');
            });
        };
        document.querySelector('#close_details_personne').onclick = () => {
            document.querySelectorAll('details.personne').forEach((e) => {
                e.removeAttribute('open');
            });
        };
    </script>
{/literal}

<!-- footer -->
{include file="admin/_foot.tpl"}